#!/bin/sh

LED=10
LEDDIR=/sys/class/gpio/gpio$LED

# export GPIO to user space
if [ ! -d "$LEDDIR" ]; then
  echo "Exporting GPIO$LED"
  echo $LED > /sys/class/gpio/export
else
  echo "GPIO$LED already exported"
fi

# set direction - output
echo out > $LEDDIR/direction

# infinite loop
while true ; do

  # set the value of GPIO - HIGH
  echo 1 > $LEDDIR/value
  sleep 1

  # set the value of GPIO - LOW
  echo 0 > $LEDDIR/value
  sleep 1

done
