#!/bin/bash

W1_PATH=/sys/bus/w1/devices
W1_PATH_MASTER=$W1_PATH/w1_bus_master1

# remove registered w1 device
cat $W1_PATH_MASTER/w1_master_slaves > $W1_PATH_MASTER/w1_master_remove

# scan w1 bus
echo 1 > $W1_PATH_MASTER/w1_master_search
sleep 2

W1_DEVICE=`cat $W1_PATH_MASTER/w1_master_slaves`

# infinite loop
while true ; do

  date=$(date '+%Y-%m-%d %H:%M:%S')
  output=$(cat $W1_PATH/$W1_DEVICE/w1_slave)

  # check CRC
  if echo $output | grep -q YES ; then
    echo -n [ $date ] " " 
    echo -n $(echo "scale=3; $(echo $output | grep t= | cut -d '=' -f 3)/1000" | bc -l)
    echo $'\xc2\xb0'C
  else
    echo CRC error!
  fi

done
