var gpio = require('onoff').Gpio;

var led = new gpio(10, 'out');
var button = new gpio(3, 'in', 'both');

led.writeSync(button.readSync());

button.watch(function (err, value) {
  led.writeSync(value);
});

function unexport() {
  led.unexport();
  button.unexport();
};

process.on('SIGINT', unexport);
